### File

`packages/eui/packages/components-next/src/lib/directives/eui-tooltip.directive.ts`

### Implements

`OnChanges`

### Metadata

Selector | `[euiTooltip]`

### Index

###### Properties
_always _euiTooltipAccent _euiTooltipArrows _euiTooltipDanger _euiTooltipInfo _euiTooltipPrimary _euiTooltipRounded _euiTooltipSecondary _euiTooltipSuccess _euiTooltipWarning _hideDelay _isDisabled _showDelay
###### Inputs
always content euiTooltip euiTooltipAccent euiTooltipArrows euiTooltipDanger euiTooltipInfo euiTooltipPrimary euiTooltipRounded euiTooltipSecondary euiTooltipSuccess euiTooltipWarning hideDelay isDisabled position showDelay
###### HostBindings
class
###### Accessors
euiTooltipPrimary euiTooltipSecondary euiTooltipInfo euiTooltipSuccess euiTooltipWarning euiTooltipDanger euiTooltipAccent euiTooltipRounded showDelay hideDelay isDisabled euiTooltipArrows euiTooltip always

### Constructor

`constructor(_overlay: Overlay, _elementRef: ElementRef, _scrollDispatcher: ScrollDispatcher, _viewContainerRef: ViewContainerRef, _ngZone: NgZone, _platform: Platform, _ariaDescriber: AriaDescriber, _focusMonitor: FocusMonitor, _scrollStrategy: any, _dir: Directionality, _defaultOptions: MatTooltipDefaultOptions)`
Parameters :
Name | Type | Optional
_overlay | `Overlay` | No
_elementRef | `ElementRef` | No
_scrollDispatcher | `ScrollDispatcher` | No
_viewContainerRef | `ViewContainerRef` | No
_ngZone | `NgZone` | No
_platform | `Platform` | No
_ariaDescriber | `AriaDescriber` | No
_focusMonitor | `FocusMonitor` | No
_scrollStrategy | `any` | No
_dir | `Directionality` | No
_defaultOptions | `MatTooltipDefaultOptions` | No

### Inputs

always

content
Default value : `'center'`

euiTooltip

euiTooltipAccent

euiTooltipArrows

euiTooltipDanger

euiTooltipInfo

euiTooltipPrimary

euiTooltipRounded

euiTooltipSecondary

euiTooltipSuccess

euiTooltipWarning

hideDelay

isDisabled

position
Default value : `'above'`

showDelay

### HostBindings

class

### Properties

_always
Default value : `false`

_euiTooltipAccent
Default value : `false`

_euiTooltipArrows
Default value : `true`

_euiTooltipDanger
Default value : `false`

_euiTooltipInfo
Default value : `false`

_euiTooltipPrimary
Default value : `false`

_euiTooltipRounded
Default value : `false`

_euiTooltipSecondary
Default value : `false`

_euiTooltipSuccess
Default value : `false`

_euiTooltipWarning
Default value : `false`

_hideDelay
Type : `number`
Default value : `0`

_isDisabled
Default value : `false`

_showDelay
Type : `number`
Default value : `0`

### Accessors

euiTooltipPrimary
set `euiTooltipPrimary(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipSecondary
set `euiTooltipSecondary(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipInfo
set `euiTooltipInfo(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipSuccess
set `euiTooltipSuccess(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipWarning
set `euiTooltipWarning(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipDanger
set `euiTooltipDanger(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipAccent
set `euiTooltipAccent(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipRounded
set `euiTooltipRounded(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

showDelay
set `showDelay(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

hideDelay
set `hideDelay(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isDisabled
set `isDisabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltipArrows
set `euiTooltipArrows(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiTooltip
set `euiTooltip(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

always
set `always(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""